﻿<UserControl x:Class="JCHVRF_New.Views.CanvasProperties"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsofalignt.com/expression/blend/2008" 
             xmlns:fa="http://schemas.fontawesome.io/icons/"
             xmlns:local="clr-namespace:JCHVRF_New.Views"
             mc:Ignorable="d" 
             xmlns:i="http://schemas.microsoft.com/expression/2010/interactivity"
             xmlns:xc="http://schemas.xceed.com/wpf/xaml/toolkit"         
             xmlns:prism="http://prismlibrary.com/"
             prism:ViewModelLocator.AutoWireViewModel="True"
             d:DesignHeight="Auto" d:DesignWidth="300">
    <StackPanel MinWidth="200">
        <TextBlock  FontSize="10" Text="Canvas" Padding="5"/>
        <Grid>
            <TextBlock FontSize="10" Text="Align Schematic" HorizontalAlignment="Left" Margin="5,0,0,0"/>
            <StackPanel  Orientation="Horizontal" HorizontalAlignment="Right">
                <Border Background="White" BorderBrush="Black" BorderThickness="0.6">
                    <fa:ImageAwesome Icon="AlignLeft" Height="15" Width="15" Margin="2" />
                </Border>
                <Border Background="White" BorderBrush="Black" BorderThickness="0.6">
                    <fa:ImageAwesome Icon="AlignCenter" Height="15" Width="15" Margin="2" />
                </Border>
                <Border Background="White" BorderBrush="Black" BorderThickness="0.6">
                    <fa:ImageAwesome Icon="AlignRight" Height="15" Width="15" Margin="2" />
                </Border>
            </StackPanel>
        </Grid>
        <Separator Margin="0,5,0,2"></Separator>
        <Grid>
            <TextBlock FontSize="10" Text="BackImage" Padding="5"/>
            <CheckBox Content="Lock" FontSize="10" HorizontalAlignment="Right" Padding="5" Margin="0,0,10,0"/>
            <fa:ImageAwesome Icon="Lock" Foreground="DimGray" HorizontalAlignment="Right" Height="10" Width="10" Margin="0,0,5,0" />
        </Grid>
        <StackPanel Orientation="Horizontal" Margin="5,0,0,0">
            <Button FontSize="9"  Background="White" HorizontalAlignment="Center" VerticalAlignment="Center" Content="+ Import" Padding="5" Width="55" Height="25"/>
            <Button Margin="10,0,0,0" FontSize="9" Background="White" HorizontalAlignment="Center" VerticalAlignment="Center" Content="- Clear" Padding="5" Width="55" Height="25"/>
        </StackPanel>
        <TextBlock Text="Opacity" FontSize="10" Padding="3"/>
        <DockPanel>
            <TextBlock VerticalAlignment="Top" DockPanel.Dock="Right" Text="{Binding ElementName=SliderOpacity, Path=Value, StringFormat=N0}"  Padding="2"/>
            <Slider Padding="3" x:Name="SliderOpacity" Value="50" Maximum="100" Minimum="0" Interval="10" />
        </DockPanel>
        <Separator></Separator>
        <Grid>
            <CheckBox x:Name="chkPlottingScale" Content="Enable Plotting Scaling" FontSize="10" HorizontalAlignment="Left" Margin="2"/>
            <xc:ColorPicker IsEnabled="{Binding IsChecked, ElementName=chkPlottingScale, Mode=OneWay}" Name="ClrPcker_Background" Width="40" HorizontalAlignment="Right" Height="22" Margin="2"></xc:ColorPicker>
        </Grid>
        <StackPanel Orientation="Horizontal"  Margin="2" IsEnabled="{Binding IsChecked, ElementName=chkPlottingScale, Mode=OneWay}">
            <RadioButton   FontSize="10" Content="Horizontal"/>
            <fa:ImageAwesome Icon="ArrowsH" Foreground="{Binding IsChecked, ElementName=chkPlottingScale, Mode=OneWay}" Height="15" Width="15" Margin="2" />
            
                <RadioButton Margin="20,0,0,0"  FontSize="10" Content="Vertical"/>
            <fa:ImageAwesome Icon="ArrowsH" Rotation="90" Height="15" Width="15" Margin="2" />
   
        </StackPanel >
        <StackPanel Orientation="Horizontal" HorizontalAlignment="Left" IsEnabled="{Binding IsChecked, ElementName=chkPlottingScale, Mode=OneWay}" Margin="5,2,0,2">
            <!--<TextBox Height="20" Width="30" ></TextBox>-->
            <xc:IntegerUpDown   Name="myUpDownControl" />
            <TextBlock Padding="2">m</TextBlock>
        </StackPanel>
        <Separator></Separator>
        <StackPanel>
            <TextBlock  FontSize="10" Text="Appearance" Margin="5,0,0,0"/>
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition Height="*"></RowDefinition>
                    <RowDefinition Height="*"></RowDefinition>
                </Grid.RowDefinitions>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*"></ColumnDefinition>
                    <ColumnDefinition Width="*"></ColumnDefinition>
                </Grid.ColumnDefinitions>
                <StackPanel Margin="2" Orientation="Horizontal" Grid.Row="0" Grid.Column="0">
                    <xc:ColorPicker Name="ClrPcker_Text" Width="40" HorizontalAlignment="Left" Height="22" Margin="2"></xc:ColorPicker>
                    <TextBlock FontSize="10">Text</TextBlock>
                </StackPanel>
                <StackPanel Margin="2" Orientation="Horizontal" Grid.Row="0" Grid.Column="1">
                    <xc:ColorPicker Name="ClrPcker_Pipe" Width="40" HorizontalAlignment="Left" Height="22" Margin="2"></xc:ColorPicker>
                    <TextBlock FontSize="10">Pipe</TextBlock>
                </StackPanel>
                <StackPanel Margin="2" Orientation="Horizontal" Grid.Row="1" Grid.Column="0">
                    <xc:ColorPicker Name="ClrPcker_Back" Width="40" HorizontalAlignment="Left" Height="22" Margin="2"></xc:ColorPicker>
                    <TextBlock FontSize="10">Background</TextBlock>
                </StackPanel>
                <StackPanel Margin="2" Orientation="Horizontal" Grid.Row="1" Grid.Column="1">
                    <xc:ColorPicker Name="ClrPcker_BranchKit" Width="40" HorizontalAlignment="Left" Height="22" Margin="2"></xc:ColorPicker>
                    <TextBlock FontSize="10">Branch Kit</TextBlock>
                </StackPanel>

            </Grid>
            
        </StackPanel>
        
    </StackPanel>
</UserControl>
